package com.tzld.piaoquan.recommend.server.util;

import org.apache.commons.collections4.CollectionUtils;

import java.util.Collections;
import java.util.List;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * @author dyp
 */
public class CommonCollectionUtils {
    public static <T, R> List<R> toList(List<T> list, Function<T, R> map){
        if(CollectionUtils.isEmpty(list)){
            return Collections.emptyList();
        }
        return list.stream().map(map).collect(Collectors.toList());
    }
}
